%define name mono-tools
%define version 2.10
%define	subrel	1
%define release %mkrel 1
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
%define monover 2.10
%define pkgconfigdir %_datadir/pkgconfig
Summary: Mono tools, including the documentation browser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://go-mono.com/sources/mono-tools/%{name}-%{version}.tar.bz2
License: GPLv2 and LGPLv2
Group: Development/Other
Url: http://www.go-mono.com

Patch0: %{name}-2.10-docbrowser.patch
Patch1: GtkHtml.patch

#gw it needs System.Xml.Linq:
BuildRequires: mono-devel >= %monover
BuildRequires: gnome-sharp2-devel
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: glade-sharp2
BuildRequires: webkit-sharp-devel
Requires(post): monodoc-core >= %monover
Requires: monodoc-core >= %monover
BuildArch: noarch
%define _requires_exceptions lib.*gtk

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q
%patch0 -p1 -b .docbrowser
%patch1 -p0 -b .docbrowser

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --mandir=%_mandir
#gw parallel make fails in 2.2
make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang %name
#gw it needs Mono.WebBrowser which needs gluezilla
rm -f %buildroot%monodocdir/MonoWebBrowserHtmlRender.dll
touch %buildroot%monodocdir/monodoc.index

%post
touch %monodocdir/monodoc.index
%_bindir/monodoc --make-index > /dev/null

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/emveepee
%_bindir/minvoke
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
%_bindir/gd2i
%_bindir/gendarme
%_bindir/gendarme-wizard
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/ilcontrast
%_bindir/mprof*
%_prefix/lib/create-native-map
%_prefix/lib/ilcontrast/
%dir %_prefix/lib/minvoke/
%_prefix/lib/minvoke/minvoke.exe
%dir %_prefix/lib/%name
%_prefix/lib/%name/emveepee.exe*
%_prefix/lib/%name/mprof*
%_prefix/lib/%name/Mono.Profiler*
%_mandir/man1/*
%_mandir/man5/*
%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%monodir/1.0/*
%monodocdir/browser.exe
%monodocdir/GtkHtmlHtmlRender.dll
#%monodocdir/MonoWebBrowserHtmlRender.dll
%monodocdir/WebKitHtmlRender.dll
%monodocdir/sources/Gendarme*
%monodocdir/sources/gendarme*
%monodocdir/web
%pkgconfigdir/*.pc
%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/applications/ilcontrast.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%ghost %monodocdir/monodoc.index






%changelog

* Wed Aug 29 2012 matteo <matteo> 2.10-1.1.mga2
+ Revision: 285456
- spec file reviewed
- added patch to fix docbrowser crash (exit code 134)

  + anaselli <anaselli>
    - Forced to work with GtkHtml engine

  + pterjan <pterjan>
    - Update to 2.10

* Sat Jan 15 2011 pterjan <pterjan> 2.8-2.mga1
+ Revision: 18959
- Drop obsolete scriptlets
- imported package mono-tools

